# <center> [M]ouse N[e]oan[t]igen P[r]edict[o]r:  [METRO] </center>

## <center> METRO is a competent prediction tool for murine cancer neoantigens </center>

Cancer cells contain multiple genomic mutations. Some of the mutations are nonsynonymous and translated into changes in amino acid (AA) sequences of proteins. Fragments of the mutated proteins (peptides) presented by major histocompatibility complex (MHC) molecules to T cells are called neoantigens. Neoantigens do not exist in normal cells and are unique to cancer cells; therefore, they are recognized as foreign or non-self by T cells. Hence, they are potentially excellent targets for cancer immunotherapy. Syngeneic mouse tumor models are widely used to study tumor immunology and can be used to study neoantigen-targeted immunotherapies. The information on neoantigens needs to be obtained through the comprehensive mutation search of the cancer cell genome using a next-generation sequencer (NGS).

NGS has become widely available and has made it possible to obtain mutational data easily. However, despite many data available, there are some hurdles to identifying murine neoantigens. The first is the selection of highly reliable genomic mutations from NGS data. Selecting neoantigen candidates from mutation annotation format (MAF) files requires some decent knowledge and experience in interpreting NGS data. The process is further complicated, especially when there are multiple biologically replicated data. The second is the conversion of a nucleic acid sequence into an AA sequence of a mutation. Using an accurate codon frame is critical to obtaining precise AA sequences. Manual AA conversion is highly time-consuming when there are tens or hundreds of candidate mutations. The third is the binding affinity prediction of each mutant peptide to MHC molecules. T cells cannot recognize any mutated peptides that cannot bind to MHC. Although there are tools for predicting the binding of peptides to MHC molecules, all candidate AA sequences should be entered into the web tool manually. Although there are multiple tools available in humans that can automatically perform these processes, there has been no tool for mice.

Here, we developed a mouse cancer neoantigen prediction tool, METRO (Mouse nEoanTigen pRedictOr). This software selects the final murine neoantigen candidates in combination with existing analysis tools only by inputting the MAF files from NGS. METRO, which specializes in murine neoantigen research, will be of great benefit to researchers who have immunological knowledge but are not familiar with analyzing NGS mutational data.
 
**NOTE:** METRO does not integrate the information on gene expression such as RNA-seq. Please confirm enough expression of the gene you selected as neoantigen candidates in your cancer cell line.

![Image title](https://github.com/CCBR/METRO/blob/main/data/METRO_logo.png?raw=true)
